Subject: Re: linux-next: manual merge of the block tree with the net-next tree

From: Pavel Begunkov <[email-masked]>
Date: Fri, 10 Apr 2026 14:51:58 +0100

On 4/10/26 13:21, Mark Brown wrote:
> Hi all,
> 
> Today's linux-next merge of the block tree got a conflict in:
> 
>    io_uring/zcrx.c
> 
> between commit:
> 
>    222b5566a02dbf ("net: Proxy netdev_queue_get_dma_dev for leased queues")

It's the first time I see this commit, but the resolution looks
correct, thanks

> from the net-next tree and commit:
> 
>    06fc3b6d388dfa ("io_uring/zcrx: extract netdev+area init into a helper")
> 
> from the block tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
...

-- 
Pavel Begunkov